| Disk ARchive 2.5.10 Full featured and portable backup and archiving tool

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
libdar::mask_list Class Reference
API

`#include <mask_list.hpp>`

Inherits libdar::mask.

## Public Member Functions
| mask_list (const std::string &filename_list_st, bool case_sensit, const path &prefix, bool include)
| the constructor More...
bool | is_covered (const std::string &expression) const
| inherited from the mask class
mask * | clone () const
| inherited from the mask class
U_I | size () const
| routing only necessary for doing some testing
Public Member Functions inherited from libdar::mask
virtual bool | is_covered (const path &chemin) const
| check whether the given path is covered by the mask More...
Public Member Functions inherited from libdar::on_pool
void * | operator new (size_t n_byte)
void * | operator new (size_t n_byte, const std::nothrow_t &nothrow_value)
void * | operator new[] (size_t n_byte)
void * | operator new[] (size_t n_byte, const std::nothrow_t &nothrow_value)
void * | operator new (size_t n_byte, memory_pool *p)
void * | operator new[] (size_t n_byte, memory_pool *p)
void | operator delete (void *ptr, memory_pool *p)
| this operator is called by the compiler if an exception is throw from the constructor of the allocated object
void | operator delete[] (void *ptr, memory_pool *p)
| this operator is called by the compiler if an exception is throw from the constructor of the allocated objects
void | operator delete (void *ptr)
| this is the usual delete operator, modified to handle allocated objects allocated on a memory pool or not
void | operator delete[] (void *ptr)
| this is the usual delete[] operator, modified to handle allocated objects allocated on a memory pool or not

## Additional Inherited Members
Protected Member Functions inherited from libdar::on_pool
memory_pool * | get_pool () const
template<class T >
void | meta_new (T *&ptr, size_t num)
template<class T >
void | meta_delete (T *ptr)

## Detailed Description

the mask_list class, matches string that are present in a given file the given file must contain one entry per line (thus no carriage return is allowed in a given entry). Note that the file listed in the file may have a relative path or an absolute path.

Definition at line 50 of file mask_list.hpp.

## Constructor & Destructor Documentation

libdar::mask_list::mask_list | ( | const std::string & | filename_list_st,
|  | bool | case_sensit,
|  | const path & | prefix,
|  | bool | include
| ) |  |

the constructor

Parameters

  [in] | filename_list_st | is the path to the file listing the filename to select for the operation
  [in] | case_sensit | whether comparison is case sensitive or not
  [in] | prefix | add this prefix to relative paths of the list. The prefix should be either absolute, or "<ROOT>" (in case of operations on an existing archive)
  [in] | include | whether the mask_list is used for file inclusion or file exclusion

Referenced by clone().

The documentation for this class was generated from the following file:

- mask_list.hpp